MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001760ATutorTests/Surveyspublic2005-05-30 07:042007-07-16 11:44
Reporteruser2 
Assigned Touser2 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.5 
Summary0001760: type of test -> questions
Descriptionthe weight and required question option should be related.

if the test is randomize then all the weights should be the same IF they are not part of the "required" list.

only questions that are marked as "required" should have the weight field enabled!
TagsNo tags attached.
Affects version
SVN Revision#
Attached Files

- Relationships
has duplicate 0003092closeduser2 random questions mark 

-  Notes
(0001303)
jon (developer)
2005-06-20 12:13

This makes sense but the interface currently is pretty clumsy if we are to implement this.

- How do you populate weight fields of all non-required / randomized questions?
- How do you convey to user that some questions will not be randomized and that those questions can have weight?
- Do we move the randomized test setting to appear in the Add Questions page for clarity?
(0002486)
user2
2007-07-09 10:33

bump
(0002487)
user2
2007-07-09 10:35

the code by jhung doesn't seem appropriate.
(0002488)
user2
2007-07-09 11:20

also updates the num_questions if more required questions are added than originally specified.
(0002490)
user2
2007-07-09 11:22

"Total: 27" at the bottom of the questions.php page is wrong!
(0002491)
user2
2007-07-09 11:41

also includes a bug fix when displaying results for a multi answer test that has only one (or none) correct answer.

- Issue History
Date Modified Username Field Change
2005-05-30 07:04 user2 New Issue
2005-05-30 07:04 user2 Apache Version => 1.3.x
2005-05-30 07:04 user2 PHP Version => 4.3.2
2005-06-20 10:04 jon Status new => assigned
2005-06-20 10:04 jon Assigned To => jon
2005-06-20 12:13 jon Note Added: 0001303
2005-06-23 10:10 user2 Assigned To jon =>
2005-07-04 12:14 user2 Status assigned => new
2007-07-09 10:33 user2 Note Added: 0002486
2007-07-09 10:34 user2 Relationship added has duplicate 0003092
2007-07-09 10:35 user2 Note Added: 0002487
2007-07-09 11:20 user2 Note Added: 0002488
2007-07-09 11:22 user2 Note Added: 0002490
2007-07-09 11:41 user2 Note Added: 0002491
2007-07-09 11:41 user2 Status new => resolved
2007-07-09 11:41 user2 Fixed in Version => 1.5.5
2007-07-09 11:41 user2 Resolution open => fixed
2007-07-09 11:41 user2 Assigned To => user2
2007-07-16 11:44 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker